package com.bonus.material.screen.mapper;

import java.util.List;
import com.bonus.material.screen.domain.BmConfig;

/**
 * 功能参数配置Mapper接口
 * 
 * @author xsheng
 * @date 2024-09-26
 */
public interface BmConfigMapper 
{
    /**
     * 查询功能参数配置
     * 
     * @param id 功能参数配置主键
     * @return 功能参数配置
     */
    public BmConfig selectBmConfigById(Long id);

    /**
     * 查询功能参数配置列表
     * 
     * @param bmConfig 功能参数配置
     * @return 功能参数配置集合
     */
    public List<BmConfig> selectBmConfigList(BmConfig bmConfig);

    /**
     * 新增功能参数配置
     * 
     * @param bmConfig 功能参数配置
     * @return 结果
     */
    public int insertBmConfig(BmConfig bmConfig);

    /**
     * 修改功能参数配置
     * 
     * @param bmConfig 功能参数配置
     * @return 结果
     */
    public int updateBmConfig(BmConfig bmConfig);

    /**
     * 删除功能参数配置
     * 
     * @param id 功能参数配置主键
     * @return 结果
     */
    public int deleteBmConfigById(Long id);

    /**
     * 批量删除功能参数配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmConfigByIds(Long[] ids);
}
